IrregularSwaption::arguments Class Reference

Arguments for irregular-swaption calculation More...

`#include <ql/experimental/swaptions/irregularswaption.hpp>`

Inheritance diagram for IrregularSwaption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from IrregularSwap::arguments
void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

ext::shared_ptr< IrregularSwap > | swap
IrregularSettlement::Type | settlementType
Public Attributes inherited from IrregularSwap::arguments
Type | type
std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Real > | fixedCoupons
std::vector< Real > | fixedNominals
std::vector< Date > | floatingResetDates
std::vector< Date > | floatingFixingDates
std::vector< Date > | floatingPayDates
std::vector< Time > | floatingAccrualTimes
std::vector< Real > | floatingNominals
std::vector< Spread > | floatingSpreads
std::vector< Real > | floatingCoupons
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for irregular-swaption calculation